Skip to main content
GET
Payments Link - Retrieve

Authorizations

api-key
string
header
required

Use the API key created under your merchant account from the Pesaswap dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.

Path Parameters

The identifier for payment link

Body

application/json
client_secret
string | null

It's a token used for client side verification.

Response

Gets details regarding payment link

Identifier for Payment Link

payment_id
string
required

Identifier for the payment associated with this payment link

merchant_id
string
required

Identifier for Merchant

Open payment link (without any security checks and listing SPMs)

amount
integer<int64>
required

The payment amount. Amount for the payment in the lowest denomination of the currency

Example:

6540

created_at
string<date-time>
required

Date and time of Payment Link creation

last_modified_at
string<date-time>
required

Date and time of last Payment Link update

status
enum<string>
required

Status Of the Payment Link

Available options:
active,
expired
expiry
string<date-time> | null

Date and time of Expiration for Payment Link

description
string | null

Description for Payment Link

custom_merchant_name
string | null

Custom merchant display name for Payment Link

profile_id
string | null

Business profile used by this Payment Link

Stored display configuration for this Payment Link

currency
enum<string> | null

The three letter ISO currency code in uppercase. Eg: 'USD' for the United States Dollar.

Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLE,
SLL,
SOS,
SRD,
SSP,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XCD,
XOF,
XPF,
YER,
ZAR,
ZMW,
ZWL

Secure payment link (with security checks and listing saved payment methods)

customer_name
string | null

Customer name attached to the source payment, when available

customer_email
string | null

Customer email attached to the source payment, when available

customer_phone
string | null

Customer phone attached to the source payment, when available

customer_phone_country_code
string | null

Customer phone country code attached to the source payment, when available

setup_future_usage
enum<string> | null

Indicates that you intend to make future payments with the payment methods used for this Payment. Providing this parameter will attach the payment method to the Customer, if present, after the Payment is confirmed and any required actions from the user are complete.

  • On_session - Payment method saved only at pesaswap when consent is provided by the user. CVV will asked during the returning user payment
  • Off_session - Payment method saved at both pesaswap and Processor when consent is provided by the user. No input is required during the returning user payment.
Available options:
off_session,
on_session